Bug 209894 - Review Request: python-eyed3 - Python module for processing ID3 tags
Review Request: python-eyed3 - Python module for processing ID3 tags
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 794971
  Show dependency treegraph
 
Reported: 2006-10-07 12:22 EDT by Brian Pepple
Modified: 2014-01-21 08:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-10 17:57:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2006-10-07 12:22:21 EDT
Spec URL: http://piedmont.homelinux.org/fedora/python-eyed3/python-eyed3.spec
SRPM URL: http://piedmont.homelinux.org/fedora/python-eyed3/python-eyed3-0.6.10-1.src.rpm Description: A Python module and program for processing ID3 tags. Information about mp3 files(i.e bit rate, sample frequency, play time, etc.) is also provided.  The formats supported are ID3 v1.0/v1.1 and v2.3/v2.4.
Comment 1 Patrice Dumas 2006-10-07 12:53:53 EDT
* as it is a noarch package it may be better to have
BuildRequires:  python
  instead of
BuildRequires:  python-devel

* you could remove the -f option of rm such that it
  breaks if the file isn't there anymore

* You could add README.html and THANKS to %doc

* the build is done twice since make triggers the build
  and the install target depends on all. So I think the
  make in %build should be removed or commented out with a 
  comment indicating that install triggers the build 
  unconditionally

* I think that it would be better to have a * for man files
  to catch man pages when no compressed or compressed using 
  something different than gz, like
%{_mandir}/man1/*.1*

* Given that it only creates the directory in python_sitelib,
  you may optionally set
%{python_sitelib}/eyeD3/ 
instead of
%{python_sitelib}/*

These issues are not blockers.
Comment 2 Patrice Dumas 2006-10-07 13:13:58 EDT
Shouldn't the name be python-eyeD3? 

Otherwise
* rpmlint is silent
* follow packaging guidelines
* spec legible
* free software, licence GPL included
* sane provides
python-eyed3 = 0.6.10-1
* match upstream source
2f7ee6749b993faba3b5d10d9621d314  ./eyeD3-0.6.10.tar.gz
* %files right
* buildrequires/requires right

The only remaining issue is the name.
Comment 3 Brian Pepple 2006-10-07 13:26:54 EDT
(In reply to comment #2)
> Shouldn't the name be python-eyeD3? 

It's up to the maintainers discretion.  I based the name on how other distros
package it also.

http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-96b3088669f40824665abf97ff34841f9b65172d
Comment 4 Patrice Dumas 2006-10-07 13:48:15 EDT
Ok, 

APPROVED. 

But please take into consideration my comments, even though they aren't 
blockers.
Comment 5 Patrice Dumas 2006-10-09 06:14:30 EDT
It seems to be built in devel and added to owners.list, please
don't forget to close the review.
Comment 6 Brian Pepple 2006-10-09 08:50:47 EDT
I'm aware, but I'm waiting for the FC5 branch to be created before closing this.
Comment 7 Christopher Meng 2013-12-21 23:31:54 EST
Package Change Request
======================
Package Name: python-eyed3
New Branches: el6
Owners: cicku
Comment 8 Jon Ciesla 2013-12-23 07:53:38 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-12-28 01:19:28 EST
python-eyed3-0.7.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-eyed3-0.7.4-1.el6
Comment 10 Fedora Update System 2014-01-12 14:19:23 EST
python-eyed3-0.7.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 11 Christopher Meng 2014-01-19 22:38:02 EST
Package Change Request
======================
Package Name: python-eyed3
New Branches: epel7
Owners: cicku
Comment 12 Jon Ciesla 2014-01-21 08:49:06 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.